Intermittent test_bug330010.xul | uncaught exception - TypeError: generatedShape is undefined at chrome/test_bug330010.xul:16

RESOLVED FIXED in Firefox 38, Firefox OS v2.2

Status

()

Core
XUL
RESOLVED FIXED
4 years ago
2 years ago

People

(Reporter: Tomcat, Unassigned)

Tracking

({intermittent-failure})

Trunk
mozilla39
x86
Mac OS X
intermittent-failure
Points:
1
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox37 wontfix, firefox38 fixed, firefox39 fixed, firefox48 fixed, firefox49 fixed, firefox-esr31 wontfix, firefox-esr45 fixed, b2g-v2.2 fixed, b2g-master fixed)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=27804238&tree=Mozilla-Inbound

Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2013-09-12 18:52:26 PDT for push a84f8558ca61

slave: talos-r4-snow-047

18:55:05     INFO -  1572 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/content/xul/templates/tests/chrome/test_bug330010.xul | uncaught exception - TypeError: generatedShape is undefined at chrome://mochitests/content/chrome/content/xul/templates/tests/chrome/test_bug330010.xul:16
18:55:05     INFO -  JavaScript error: chrome://mochitests/content/chrome/content/xul/templates/tests/chrome/test_bug330010.xul, line 16: generatedShape is undefined
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: Intermittent TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/content/xul/templates/tests/chrome/test_bug330010.xul | uncaught exception - TypeError: generatedShape is undefined at chrome/test_bug330010.xul:16 → Intermittent test_bug330010.xul | uncaught exception - TypeError: generatedShape is undefined at chrome/test_bug330010.xul:16
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 96

3 years ago
I checked in a possible fix which just preloads the datasource.

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=8c45833b771a
https://hg.mozilla.org/mozilla-central/rev/8c45833b771a
Status: NEW → RESOLVED
Last Resolved: 3 years ago
status-firefox39: --- → fixed
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla39
status-firefox37: --- → wontfix
status-firefox38: --- → affected
status-firefox-esr31: --- → wontfix
https://hg.mozilla.org/releases/mozilla-aurora/rev/662d10209c46
status-firefox38: affected → fixed
Comment hidden (Treeherder Robot)

Updated

3 years ago
Assignee: nobody → enndeakin
Comment hidden (Treeherder Robot)
https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/71bb0f46112c
status-b2g-v2.2: --- → fixed
status-b2g-master: --- → fixed

Updated

3 years ago
Points: --- → 1
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

2 years ago
Assignee: enndeakin → nobody

Comment 144

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* try: 1

Platform breakdown:
* osx-10-6: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-10-05&endday=2015-10-11&tree=all

Comment 145

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 2

Platform breakdown:
* osx-10-6: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-10-12&endday=2015-10-18&tree=all

Comment 146

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* fx-team: 1

Platform breakdown:
* osx-10-6: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 147

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 5
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* osx-10-6: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-10-26&endday=2015-11-01&tree=all

Comment 148

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* b2g-inbound: 3
* mozilla-aurora: 2
* fx-team: 1

Platform breakdown:
* osx-10-6: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-11-02&endday=2015-11-08&tree=all

Comment 149

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 3
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* osx-10-6: 8
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 150

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 3
* mozilla-central: 2
* b2g-inbound: 2

Platform breakdown:
* osx-10-6: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 151

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* mozilla-aurora: 2

Platform breakdown:
* osx-10-6: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 152

2 years ago
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 16
* fx-team: 4
* b2g-inbound: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-6: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-11-30&endday=2015-12-06&tree=all

Comment 153

2 years ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* mozilla-central: 3
* fx-team: 3
* try: 1
* b2g-inbound: 1

Platform breakdown:
* osx-10-6: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-12-07&endday=2015-12-13&tree=all

Comment 154

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 3
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* osx-10-6: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 155

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 4
* try: 2
* mozilla-inbound: 2
* fx-team: 2

Platform breakdown:
* osx-10-6: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-01-11&endday=2016-01-17&tree=all

Comment 156

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 12
* b2g-inbound: 3
* mozilla-central: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 15
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 157

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* osx-10-6: 7
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-02-01&endday=2016-02-07&tree=all

Comment 158

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 6
* mozilla-inbound: 5
* fx-team: 2

Platform breakdown:
* linux64: 7
* osx-10-6: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 159

2 years ago
22 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 9
* try: 2
* mozilla-central: 2

Platform breakdown:
* linux64: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 160

2 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 7
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 16
* osx-10-6: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-02-29&endday=2016-03-06&tree=all

Comment 161

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 5
* try: 4
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 16
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-03-07&endday=2016-03-13&tree=all

Comment 162

2 years ago
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 16
* mozilla-central: 7
* mozilla-esr45: 2
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 23
* osx-10-6: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 163

2 years ago
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 13
* try: 1
* mozilla-esr45: 1

Platform breakdown:
* linux64: 25
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-03-21&endday=2016-03-27&tree=all

Comment 164

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 5
* mozilla-aurora: 1

Platform breakdown:
* linux64: 15
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-03-28&endday=2016-04-03&tree=all

Comment 165

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 5
* mozilla-central: 1

Platform breakdown:
* linux64: 12
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-04&endday=2016-04-10&tree=all

Comment 166

2 years ago
30 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 19
* fx-team: 6
* try: 2
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 20
* osx-10-6: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 167

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 5
* mozilla-esr45: 1

Platform breakdown:
* linux64: 11
* osx-10-6: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-20&endday=2016-04-20&tree=all

Comment 168

2 years ago
34 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 24
* fx-team: 10

Platform breakdown:
* linux64: 30
* osx-10-6: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-21&endday=2016-04-21&tree=all

Comment 169

2 years ago
26 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 22
* fx-team: 3
* try: 1

Platform breakdown:
* linux64: 24
* osx-10-6: 1
* android-4-0-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-22&endday=2016-04-22&tree=all

Comment 170

2 years ago
133 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 82
* fx-team: 28
* try: 19
* mozilla-central: 3
* mozilla-esr45: 1

Platform breakdown:
* linux64: 98
* osx-10-6: 25
* linux32: 5
* windows7-32: 2
* windows8-64: 1
* osx-10-10: 1
* android-4-0-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-18&endday=2016-04-24&tree=all

Comment 171

2 years ago
33 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 21
* fx-team: 10
* try: 2

Platform breakdown:
* linux64: 33

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-26&endday=2016-04-26&tree=all

Comment 172

2 years ago
27 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 15
* fx-team: 7
* try: 2
* oak: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 26
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-27&endday=2016-04-27&tree=all

Comment 173

2 years ago
23 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 17
* fx-team: 5
* mozilla-central: 1

Platform breakdown:
* linux64: 21
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-29&endday=2016-04-29&tree=all

Comment 174

2 years ago
114 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 70
* fx-team: 27
* try: 11
* mozilla-central: 4
* oak: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 107
* osx-10-6: 4
* windows7-32: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-25&endday=2016-05-01&tree=all
Neil, it seems like this has been getting steadily worse since mid-April.  Its now one of our top oranges.  Any thoughts?

https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-04-01&endday=2016-05-03&tree=trunk
Flags: needinfo?(enndeakin)

Comment 176

2 years ago
27 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 19
* fx-team: 4
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-16&endday=2016-05-16&tree=all

Comment 177

2 years ago
161 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 110
* fx-team: 31
* try: 9
* mozilla-central: 6
* mozilla-aurora: 4
* oak: 1

Platform breakdown:
* linux64: 161

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 178

2 years ago
42 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 26
* fx-team: 9
* try: 6
* mozilla-central: 1

Platform breakdown:
* linux64: 41
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-17&endday=2016-05-17&tree=all

Comment 179

2 years ago
36 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 29
* fx-team: 5
* mozilla-aurora: 2

Platform breakdown:
* linux64: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-18&endday=2016-05-18&tree=all

Comment 180

2 years ago
31 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 20
* fx-team: 10
* mozilla-central: 1

Platform breakdown:
* linux64: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-19&endday=2016-05-19&tree=all

Comment 181

2 years ago
173 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 118
* fx-team: 38
* try: 10
* mozilla-aurora: 4
* mozilla-central: 3

Platform breakdown:
* linux64: 172
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 182

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 7
* mozilla-aurora: 1

Platform breakdown:
* linux64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-23&endday=2016-05-23&tree=all

Comment 183

2 years ago
Don't have any other ideas. We should probably just disable this on Linux where is happens far more often.
Flags: needinfo?(enndeakin)
I managed to reproduce this in rr's chaos mode.  (--run-until-failure with large numbers didn't seem to help, but I hit it on the first iteration on my second try of chaos mode.)  So I have an rr recording of the failure now.
Created attachment 8756127 [details]
rr session

Here's a session in rr (without any reversing) that shows the basics of what's happening.  Basically:

 (1) we start an asynchronous load of the datasource
 (2) we call GetDataSourceBlocking, which I presume does a separate blocking load of the datasource
 (3) we then immediately expect the template to have been constructed, and call nsChildContentList::GetItem
 (4) the original load from (1) then completes.

How was this supposed to work?
Flags: needinfo?(enndeakin)

Comment 186

2 years ago
So we should probably just set the datasources attribute after the blocking load. I can look at this tomorrow.
Flags: needinfo?(enndeakin)

Comment 187

2 years ago
71 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 41
* fx-team: 17
* try: 10
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 71

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-24&endday=2016-05-24&tree=all
Flags: needinfo?(enndeakin)

Comment 188

2 years ago
31 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 22
* fx-team: 5
* mozilla-central: 2
* mozilla-esr45: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 30
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-25&endday=2016-05-25&tree=all

Comment 189

2 years ago
32 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 19
* fx-team: 11
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 31
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-26&endday=2016-05-26&tree=all

Comment 190

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/4fbc77b48fd9042cf94d09ec8c8c0ed2f9ab069d
Bug 916004, set datasource after loading to see if intermittent orange of test_bug330010.xul goes away

Updated

2 years ago
Flags: needinfo?(enndeakin)

Comment 191

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* try: 5
* fx-team: 4
* mozilla-aurora: 1

Platform breakdown:
* linux64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-27&endday=2016-05-27&tree=all
I think it's clear at this point that the fix worked; it just needs to be merged around.

Comment 193

2 years ago
196 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 113
* fx-team: 54
* try: 16
* mozilla-central: 6
* mozilla-aurora: 5
* mozilla-esr45: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 194
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-23&endday=2016-05-29&tree=all
(Reporter)

Comment 194

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/4fbc77b48fd9
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago2 years ago
status-firefox49: --- → fixed
Resolution: --- → FIXED

Comment 195

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/931ee07d307e
status-firefox48: --- → fixed

Comment 196

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr45/rev/0a969f8e80a6
status-firefox-esr45: --- → fixed

Comment 197

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=916004&startday=2016-05-30&endday=2016-06-05&tree=all
You need to log in before you can comment on or make changes to this bug.